- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Full name: projects.locations.instances.updateAiBillingSettings
Updates the AI billing settings for an instance. Restricted to Chronicle Admins.
HTTP request
PATCH https://{endpoint}/v1alpha/{aiBillingSettings.name}
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
aiBillingSettings.name |
Identifier. The resource name of the AiBillingSettings. Format: projects/{project}/locations/{location}/instances/{instance}/aiBillingSettings |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. The list of fields to be updated in This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of AiBillingSettings.
Response body
If successful, the response body contains an instance of AiBillingSettings.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chronicle
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
chronicle.aiBillingSettings.update
For more information, see the IAM documentation.